<template>
  <div>
    <p>Hello world!</p>
    <el-button type="danger" icon="el-icon-delete" circle />
    <el-avatar src="https://cube.elemecdn.com/0/88/03b0d39583f48206768a7534e55bcpng.png" />
  </div>
</template>

<script>
export default {
  data () {
    return {}
  },
  beforeCreate() {
    chrome.runtime.onMessage.addListener(function(request, sender) {
      if (request.action == "getSource") {
        console.log(request.source)
      }
    });
  },
  mounted() {

    this.$axios.get('http://118.31.52.226/chromit/username')
    .then(res => {
      console.log(res.data)
    }).catch(error => {
      console.log('some error info')
    })
  }
}
</script>

<style lang="scss" scoped>
p {
  font-size: 20px;
}
</style>
